/*
 * $Id: fcp.h,v 1.5 2003/ 12:23:53 jaime Rel $
 *
 * Copyright (C) 2001-2003 Fhg Fokus
 *
 * This file is part of ser, a free SIP server.
 *
 * ser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * For a license to use the ser software under conditions
 * other than those described here, or to purchase support for this
 * software, please contact iptel.org by e-mail at the following addresses:
 *    info@iptel.org
 *
 * ser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/



#ifndef fcp_h
#define fcp_h

#include "../../parser/msg_parser.h"
#include "session.h"

#include <stdio.h>
#include "parser.h"


int replace_header(struct sip_msg* msg, char* key, char* str, char* where);
char *get_header(struct sip_msg *msg);
int replace_all(struct sip_msg* msg, char* key, char* str);
int replace_contact(struct sip_msg *msg, struct session *s);
int replace_sdp(struct sip_msg *msg, struct session *ses);
int replace_via(struct sip_msg *msg, struct session *s);
void fcp_report();

#endif
