/*
 * $Id: parser.h,v 1.5 2003/ 12:23:53 jaime Rel $
 *
 * Copyright (C) 2001-2003 Fhg Fokus
 *
 * This file is part of ser, a free SIP server.
 *
 * ser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * For a license to use the ser software under conditions
 * other than those described here, or to purchase support for this
 * software, please contact iptel.org by e-mail at the following addresses:
 *    info@iptel.org
 *
 * ser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef parser_h
#define parser_h

#include <stdio.h>
#include "../../mem/mem.h"
#include "text_ops.h"
#include "session.h"

int parse_media_info(struct sip_msg *request, struct sip_msg *reply, struct session *session);

int parse_fcp_info(char *s, struct session *session);

int is_method(char *message, char *method, int request);

int parse_callid(struct sip_msg* msg, struct session *s);

int parse_outbound_info (struct sip_msg* msg, struct session *s);

int parse_contact_info(struct sip_msg *rq, struct sip_msg *rpl, struct session *s);

#endif
