/*
 * $Id: fcp_pa.h,v 1.5 2003/ 12:23:53 jaime Rel $
 *
 * Copyright (C) 2001-2003 Fhg Fokus
 *
 * This file is part of ser, a free SIP server.
 *
 * ser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * For a license to use the ser software under conditions
 * other than those described here, or to purchase support for this
 * software, please contact iptel.org by e-mail at the following addresses:
 *    info@iptel.org
 *
 * ser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef FCP_PA
#define FCP_PA
#include "../../dprint.h"

int open_pinhole(int _s, char* _src, char* _dst, int _src_port, int _dst_port, int _t);

int close_pinhole(int _s, char* _src, char* _dst, int _src_port, int _dst_port);

int read_reply(int _s, char* reply);

int get_reply_code(void) ;

int get_nat(int _s, char* _ip, int _p1, int _p2);

int can_read(int _s, int _i);

int read_nat_reply(int _s, char* _ip, int _p1, int _p2);

#endif
